import { __BuyPowerData, __PayData } from "../../data/sdata/SManage";

/**
 * 充值节点
 */
const { ccclass, property } = cc._decorator;

@ccclass
export default class ShopAmethystItem extends cc.Component {

    public callback: (item: ShopAmethystItem) => void

    public _buyPowerData: __BuyPowerData
    public init(_buyPowerData: __BuyPowerData) {
        this._buyPowerData = _buyPowerData

    }

    public setCallback(callback: (item: ShopAmethystItem) => void) {
        this.callback = callback
    }
    public onclick() {
        this.callback(this)
    }


}
